<?xml version="1.0" encoding="UTF-8"?>
<assembly>
	<id>macos-jre</id>
	<formats>
		<format>zip</format>
	</formats>
	<includeBaseDirectory>false</includeBaseDirectory>
	<dependencySets>
		<dependencySet>
			<outputDirectory>ctbrec/lib</outputDirectory>
			<useProjectArtifact>false</useProjectArtifact>
			<unpack>false</unpack>
			<scope>runtime</scope>
		</dependencySet>
	</dependencySets>
	<files>
		<file>
			<source>${project.basedir}/src/assembly/ctbrec-macos-jre.sh</source>
			<outputDirectory>ctbrec</outputDirectory>
			<filtered>true</filtered>
			<destName>ctbrec.sh</destName>
		</file>
		<file>
			<source>${project.build.directory}/${project.artifactId}-${project.version}.jar
			</source>
			<outputDirectory>ctbrec</outputDirectory>
			<destName>${name.final}.jar</destName>
		</file>
		<file>
			<source>${project.basedir}/LICENSE.txt</source>
			<outputDirectory>ctbrec</outputDirectory>
		</file>
		<file>
			<source>${project.basedir}/README.md</source>
			<outputDirectory>ctbrec</outputDirectory>
		</file>
		<file>
			<source>${project.basedir}/ffmpeg/ffmpeg-macos64</source>
			<outputDirectory>ctbrec/lib/ffmpeg</outputDirectory>
			<destName>ffmpeg</destName>
		</file>
	</files>
	<fileSets>
		<fileSet>
			<directory>jre/jdk_macos</directory>
			<includes>
				<include>**/*</include>
			</includes>
			<outputDirectory>ctbrec/jre</outputDirectory>
			<filtered>false</filtered>
		</fileSet>
		<fileSet>
			<directory>browser/ctbrec-minimal-browser-darwin-x64</directory>
			<includes>
				<include>**/*</include>
			</includes>
			<outputDirectory>ctbrec/lib/browser</outputDirectory>
			<filtered>false</filtered>
		</fileSet>
	</fileSets>
</assembly>
